Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-publish-02.txt

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Tue, 3 Feb 2004 13:27:28 -0000

I think you are confusing two different concepts.

If it is not normative it is informative.

If it is optional it is not mandatory.

The two concepts are orthogonal.

By capitalizing the "MAY" you are emphasizing that this is a requirement, and therefore normative, even though it is an optional requirement.

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 03 February 2004 08:52
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [Sip] I-D ACTION:draft-ietf-sip-publish-02.txt
> 
> 
> Hi Jonathan,
> 
> Thanks a lot for the excellent comments. Most of them I will 
> directly fold into -03. Few clarifications below.
> 
> Cheers,
> Aki
> 
> Jonathan Rosenberg wrote:
> 
> <snip />
> 
>  > * section 5.1:
>  > 
>  > > As with any other SIP message, the PUBLISH mechanism MAY use the
>  > >    content indirection mechanism defined in [10].
>  > 
>  > this statement makes [10] a normative reference, I believe. It is 
>  > listed as informative in the references section.
> 
> I'm not sure I agree. I've understood the RFC editor's policy 
> so that an informative reference is not required for 
> implementing the RFC. It's an interesting question as to how 
> this relates to RFC 2119 terminology. But I think a MAY makes 
> the feature optional so that it fits the informative 
> reference definition.
> 
> <snip />
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip